#include "deftype.h"

unchar *jnstrcpy(unchar *buff,unchar *str,int max)
/* 見た目の長さ切り出し */
/* max : 見た目のサイズ */
{
unchar c;
	if ((--max)>0) {
		while ((c=*str)!=0) {
			if (check_kanji1(c)) {
				if (!is24(c)) if ((--max)==0) break;
				*buff++=c;
				c=*++str;
			}
			*buff++=c;
			str++;
			if ((--max)==0) break;
		}
	}
	*buff=0;
	return(str);
}
